# Uses of Class
org.jmol.awtjs.swing.Dimension

Packages that use Dimension
Package
Description
org.jmol.awtjs.swing

## Uses of Dimension in org.jmol.awtjs.swing

Methods in org.jmol.awtjs.swing that return Dimension
Modifier and Type
Method
Description
`Dimension`
Dimension.`set(int w, int h)`
Methods in org.jmol.awtjs.swing with parameters of type Dimension
Modifier and Type
Method
Description
`void`
SwingController.`getScreenDimensions(Dimension d)`
Return the width and height of the window in d.
`void`
Component.`setMinimumSize(Dimension d)`
`void`
JScrollPane.`setMinimumSize(Dimension dimension)`
`void`
JTable.`setPreferredScrollableViewportSize(Dimension dimension)`
`void`
Component.`setPreferredSize(Dimension dimension)`